VTK: vtkTIFFReader::vtkTIFFReaderInternal Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
vtkTIFFReader::vtkTIFFReaderInternal Class Reference

`#include <vtkTIFFReaderInternal.h>`

## Public Member Functions
| vtkTIFFReaderInternal ()
| ~vtkTIFFReaderInternal ()=default
bool | Initialize ()
void | Clean ()
bool | CanRead ()
bool | Open (VTK_FILEPATH const char *filename)

## Static Public Member Functions
static void | ErrorHandler (const char *module, const char *fmt, va_list ap)

## Public Attributes
TIFF * | Image
bool | IsOpen
unsigned int | Width
unsigned int | Height
unsigned short | NumberOfPages
unsigned short | CurrentPage
unsigned short | SamplesPerPixel
unsigned short | Compression
unsigned short | BitsPerSample
unsigned short | Photometrics
bool | HasValidPhotometricInterpretation
unsigned short | PlanarConfig
unsigned short | Orientation
unsigned long int | TileDepth
unsigned int | TileRows
unsigned int | TileColumns
unsigned int | TileWidth
unsigned int | TileHeight
unsigned short | NumberOfTiles
unsigned int | SubFiles
unsigned int | ResolutionUnit
float | XResolution
float | YResolution
short | SampleFormat

## Detailed Description

Definition at line 18 of file vtkTIFFReaderInternal.h.

## Constructor & Destructor Documentation

## ◆ vtkTIFFReaderInternal()

vtkTIFFReader::vtkTIFFReaderInternal::vtkTIFFReaderInternal | ( |  | ) |

## ◆ ~vtkTIFFReaderInternal()

vtkTIFFReader::vtkTIFFReaderInternal::~vtkTIFFReaderInternal | ( |  | ) |
| default

## Member Function Documentation

## ◆ Initialize()

bool vtkTIFFReader::vtkTIFFReaderInternal::Initialize | ( |  | ) |

## ◆ Clean()

void vtkTIFFReader::vtkTIFFReaderInternal::Clean | ( |  | ) |

## ◆ CanRead()

bool vtkTIFFReader::vtkTIFFReaderInternal::CanRead | ( |  | ) |

## ◆ Open()

bool vtkTIFFReader::vtkTIFFReaderInternal::Open | ( | VTK_FILEPATH const char * | filename | ) |

## ◆ ErrorHandler()

static void vtkTIFFReader::vtkTIFFReaderInternal::ErrorHandler | ( | const char * | module,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |
| static

## Member Data Documentation

## ◆ Image

TIFF* vtkTIFFReader::vtkTIFFReaderInternal::Image

Definition at line 28 of file vtkTIFFReaderInternal.h.

## ◆ IsOpen

bool vtkTIFFReader::vtkTIFFReaderInternal::IsOpen

Definition at line 29 of file vtkTIFFReaderInternal.h.

## ◆ Width

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::Width

Definition at line 30 of file vtkTIFFReaderInternal.h.

## ◆ Height

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::Height

Definition at line 31 of file vtkTIFFReaderInternal.h.

## ◆ NumberOfPages

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::NumberOfPages

Definition at line 32 of file vtkTIFFReaderInternal.h.

## ◆ CurrentPage

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::CurrentPage

Definition at line 33 of file vtkTIFFReaderInternal.h.

## ◆ SamplesPerPixel

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::SamplesPerPixel

Definition at line 34 of file vtkTIFFReaderInternal.h.

## ◆ Compression

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::Compression

Definition at line 35 of file vtkTIFFReaderInternal.h.

## ◆ BitsPerSample

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::BitsPerSample

Definition at line 36 of file vtkTIFFReaderInternal.h.

## ◆ Photometrics

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::Photometrics

Definition at line 37 of file vtkTIFFReaderInternal.h.

## ◆ HasValidPhotometricInterpretation

bool vtkTIFFReader::vtkTIFFReaderInternal::HasValidPhotometricInterpretation

Definition at line 38 of file vtkTIFFReaderInternal.h.

## ◆ PlanarConfig

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::PlanarConfig

Definition at line 39 of file vtkTIFFReaderInternal.h.

## ◆ Orientation

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::Orientation

Definition at line 40 of file vtkTIFFReaderInternal.h.

## ◆ TileDepth

unsigned long int vtkTIFFReader::vtkTIFFReaderInternal::TileDepth

Definition at line 41 of file vtkTIFFReaderInternal.h.

## ◆ TileRows

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::TileRows

Definition at line 42 of file vtkTIFFReaderInternal.h.

## ◆ TileColumns

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::TileColumns

Definition at line 43 of file vtkTIFFReaderInternal.h.

## ◆ TileWidth

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::TileWidth

Definition at line 44 of file vtkTIFFReaderInternal.h.

## ◆ TileHeight

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::TileHeight

Definition at line 45 of file vtkTIFFReaderInternal.h.

## ◆ NumberOfTiles

unsigned short vtkTIFFReader::vtkTIFFReaderInternal::NumberOfTiles

Definition at line 46 of file vtkTIFFReaderInternal.h.

## ◆ SubFiles

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::SubFiles

Definition at line 47 of file vtkTIFFReaderInternal.h.

## ◆ ResolutionUnit

unsigned int vtkTIFFReader::vtkTIFFReaderInternal::ResolutionUnit

Definition at line 48 of file vtkTIFFReaderInternal.h.

## ◆ XResolution

float vtkTIFFReader::vtkTIFFReaderInternal::XResolution

Definition at line 49 of file vtkTIFFReaderInternal.h.

## ◆ YResolution

float vtkTIFFReader::vtkTIFFReaderInternal::YResolution

Definition at line 50 of file vtkTIFFReaderInternal.h.

## ◆ SampleFormat

short vtkTIFFReader::vtkTIFFReaderInternal::SampleFormat

Definition at line 51 of file vtkTIFFReaderInternal.h.

The documentation for this class was generated from the following file:

- IO/Image/vtkTIFFReaderInternal.h